//---------------------------------------------------------------------------
// (C) 2005 Morin Pascal
//---------------------------------------------------------------------------
#include <vcl.h>
#include <string.h>
#pragma hdrstop

#include "Unit1.h"
#include "About.h"
#include "DllUsb16IO.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TForm1 *Form1;
AnsiString NomApplication="USB 16IO";
unsigned int d1=0,d2=0,w1=0,w2=0,w3=0,w4=0;
int liste=0;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}

//---------------------------------------------------------------------------
void __fastcall TForm1::Quitter1Click(TObject *Sender)
{
CloseUSB();
Close();
}

//---------------------------------------------------------------------------
void __fastcall TForm1::APropos1Click(TObject *Sender)
{
APropos->ShowModal();
}


//---------------------------------------------------------------------------

void __fastcall TForm1::FormShow(TObject *Sender)
{
Form1->Caption=NomApplication;
if (OpenUSB())
	{
	StatusBar1->Panels->Items[0]->Text="Connect";
	Set16IO(0,0);
    }
else
	{
    StatusBar1->Panels->Items[0]->Text="ERR";
    Application->MessageBox("Impossible d'acceder au montage via la liaison USB","Erreur de connection",MB_OK|MB_ICONERROR);
    }

}

//---------------------------------------------------------------------------
void __fastcall TForm1::ChangementEtat(TObject *Sender)
{
unsigned char val1,val2;

val1=val2=0;

if (CheckBox1->Checked) val1+=0x01;
if (CheckBox2->Checked) val1+=0x02;
if (CheckBox3->Checked) val1+=0x04;
if (CheckBox4->Checked) val1+=0x08;
if (CheckBox5->Checked) val1+=0x10;
if (CheckBox6->Checked) val1+=0x20;
if (CheckBox7->Checked) val1+=0x40;
if (CheckBox8->Checked) val1+=0x80;

if (CheckBox9->Checked) val2+=0x01;
if (CheckBox10->Checked) val2+=0x02;
if (CheckBox11->Checked) val2+=0x04;
if (CheckBox12->Checked) val2+=0x08;
if (CheckBox13->Checked) val2+=0x10;
if (CheckBox14->Checked) val2+=0x20;
if (CheckBox15->Checked) val2+=0x40;
if (CheckBox16->Checked) val2+=0x80;

if (Set16IO(val1,val2))
    {
    StatusBar1->Panels->Items[0]->Text="OK";
    }
else
    {
    StatusBar1->Panels->Items[0]->Text="ERR";
    }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button3Click(TObject *Sender)
{
CheckBox1->Checked=false;
CheckBox2->Checked=false;
CheckBox3->Checked=false;
CheckBox4->Checked=false;
CheckBox5->Checked=false;
CheckBox6->Checked=false;
CheckBox7->Checked=false;
CheckBox8->Checked=false;
CheckBox9->Checked=false;
CheckBox10->Checked=false;
CheckBox11->Checked=false;
CheckBox12->Checked=false;
CheckBox13->Checked=false;
CheckBox14->Checked=false;
CheckBox15->Checked=false;
CheckBox16->Checked=false;
}
//---------------------------------------------------------------------------



void __fastcall TForm1::Lecture(TObject *Sender)
{
unsigned char val1,val2;

val1=val2=0;

if (Get16IO(&val1,&val2))
    {
    CheckBox1->Checked=(bool)(val1&0x01);
    CheckBox2->Checked=(bool)(val1&0x02);
    CheckBox3->Checked=(bool)(val1&0x04);
    CheckBox4->Checked=(bool)(val1&0x08);
    CheckBox5->Checked=(bool)(val1&0x10);
    CheckBox6->Checked=(bool)(val1&0x20);
    CheckBox7->Checked=(bool)(val1&0x40);
    CheckBox8->Checked=(bool)(val1&0x80);

    CheckBox9->Checked=(bool)(val2&0x01);
    CheckBox10->Checked=(bool)(val2&0x02);
    CheckBox11->Checked=(bool)(val2&0x04);
    CheckBox12->Checked=(bool)(val2&0x08);
    CheckBox13->Checked=(bool)(val2&0x10);
    CheckBox14->Checked=(bool)(val2&0x20);
    CheckBox15->Checked=(bool)(val2&0x40);
    CheckBox16->Checked=(bool)(val2&0x80);

    StatusBar1->Panels->Items[0]->Text="OK";
    }
else
    {
    StatusBar1->Panels->Items[0]->Text="ERR";
    }


}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button4Click(TObject *Sender)
{
CheckBox1->Checked=true;
CheckBox2->Checked=true;
CheckBox3->Checked=true;
CheckBox4->Checked=true;
CheckBox5->Checked=true;
CheckBox6->Checked=true;
CheckBox7->Checked=true;
CheckBox8->Checked=true;
CheckBox9->Checked=true;
CheckBox10->Checked=true;
CheckBox11->Checked=true;
CheckBox12->Checked=true;
CheckBox13->Checked=true;
CheckBox14->Checked=true;
CheckBox15->Checked=true;
CheckBox16->Checked=true;
}
//---------------------------------------------------------------------------

